HanMacWrdKGraphInternal::State Struct Reference

Internal: the state of a HanMacWrdKGraph. More...

## Public Member Functions

| State ()
| constructor
bool | getColor (int id, MWAWColor &col)
| returns a color correspond to an id
bool | getPattern (int id, Pattern &pattern)
| returns a pattern correspond to an id
void | initColors ()
| init the color list
void | initPatterns ()
| init the patterns' list

## Static Public Member Functions

static MWAWColor | getColor (MWAWColor col, float pattern)
| returns a color corresponding to a pattern and a color

## Public Attributes

int | m_numPages
std::multimap< long, std::shared_ptr< Frame > > | m_framesMap
| a map fileId -> frame
std::map< long, std::shared_ptr< Picture > > | m_picturesMap
| a map fileId -> picture
std::vector< MWAWColor > | m_colorList
| a list colorId -> color
std::vector< Pattern > | m_patternList
| the patterns list

## Detailed Description

Internal: the state of a HanMacWrdKGraph.

## Constructor & Destructor Documentation

## State()

HanMacWrdKGraphInternal::State::State | ( |  | ) |

inline

constructor

## Member Function Documentation

## getColor() [1/2]

bool HanMacWrdKGraphInternal::State::getColor | ( | int | id,
|  | MWAWColor & | col )

inline

returns a color correspond to an id

## getColor() [2/2]

MWAWColor HanMacWrdKGraphInternal::State::getColor | ( | MWAWColor | col,
|  | float | pattern )

inline static

returns a color corresponding to a pattern and a color

## getPattern()

bool HanMacWrdKGraphInternal::State::getPattern | ( | int | id,
|  | Pattern & | pattern )

inline

returns a pattern correspond to an id

## initColors()

void HanMacWrdKGraphInternal::State::initColors | ( |  | ) |

init the color list

Referenced by getColor().

## initPatterns()

void HanMacWrdKGraphInternal::State::initPatterns | ( |  | ) |

init the patterns' list

Referenced by getPattern().

## Member Data Documentation

## m_colorList

std::vector<MWAWColor> HanMacWrdKGraphInternal::State::m_colorList

a list colorId -> color

Referenced by getColor(), initColors(), and State().

## m_framesMap

std::multimap<long, std::shared_ptr<Frame> > HanMacWrdKGraphInternal::State::m_framesMap

a map fileId -> frame

Referenced by State().

## m_numPages

int HanMacWrdKGraphInternal::State::m_numPages

Referenced by State().

## m_patternList

std::vector<Pattern> HanMacWrdKGraphInternal::State::m_patternList

the patterns list

Referenced by getPattern(), initPatterns(), and State().

## m_picturesMap

std::map<long, std::shared_ptr<Picture> > HanMacWrdKGraphInternal::State::m_picturesMap

a map fileId -> picture

Referenced by State().

The documentation for this struct was generated from the following file:

- HanMacWrdKGraph.cxx